TORRUS_ACTION_SNMPTRAP(7)

NAME
action_snmptrap, action_snmpv1trap - Scripts for sending SNMP traps (version 2c and 1 respectively) from monitor action. "action_snmpv1trap" is obsolete as the preferred SNMP version is 2c.

SYNOPSIS
 <action name="snmptrap">
   <param name="action-type" value="exec" />
   <param name="command" value="$TORRUS_BIN/action_snmptrap" />
   <param name="launch-when" value="set, clear" />
 </action>

DESCRIPTION
This program is designed for usage from a monitor action only. It takes the arguments from environment variables, as described in action-type "exec" in Torrus XML Configuration Guide. In addition, some values may be supplied via command-line arguments (see section OPTIONS below).

Site-specific variables must be specified in the file snmptrap-siteconfig.pl. Default values are installed by the first run of "make install". Subsequent runs of "make install" do not override this file.

OPTIONS

--host=HOSTNAME
    Sets the hostname of the destination host.

--community=COMMUNITY
    Sets the community string to use when sending the trap.

--port=PORT
    Sets the destination UDP port.

--enterprise=OID
    Sets the "enterprise" field of the SNMPv1 trap to a given OID (see RFC 1157 for more details). This option is only available for "action_snmpv1trap" and will be ignored for "action_snmptrap".

--severity=SEVERITY
    Sets the optional severity SNMP variable to some integer value.

FILES

/etc/torrus/conf/snmptrap-siteconfig.pl
    Torrus site configuration script for SNMP traps.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>